<script>
  import { createEventDispatcher } from 'svelte'
  import Icon from 'svelte-awesome/components/Icon.svelte'
  import { circle, times } from 'svelte-awesome/icons'
  import { SquareType } from '../helpers'

  const dispatch = createEventDispatcher()

  function handleSelectType(evt) {
    dispatch('selectType', evt)
  }
</script>

<div class="starter-container">
  <p>Choose to start:</p>
  <div on:click={() => handleSelectType(SquareType.circle)} style="cursor:pointer">
    <Icon data={circle} scale={2} />
  </div>
  <div on:click={() => handleSelectType(SquareType.cross)} style="margin-left: 16px; cursor:pointer">
    <Icon data={times} scale={2} />
  </div>
</div>

<style>
  .starter-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 24px;
    box-sizing: border-box;
  }

  p {
    margin-right: 16px;
    font-size: 1.3rem;
    cursor: default;
  }
</style>
